from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class NotePrintMode(IntEnum):
    NOT = auto()
    ONLY = auto()
    DOC_END = auto()
    PAGE_END = auto()
